Bug 479517 - libvirt and localized path
libvirt and localized path
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 09:05 EST by Edouard Bourguignon
Modified: 2009-08-15 04:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.6.2-14.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-15 04:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Don't strip 8bit high characters (538 bytes, patch)
2009-08-04 11:01 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Edouard Bourguignon 2009-01-10 09:05:32 EST
Description of problem:
It seems that libvirt doesn't take care about localised path, I try to set up a cdrom device in virt-manager as an iso image file located in ~/Téléchargement
The VM can't be started with the following error:
libvirtError: internal error QEMU quit during console startup
qemu: could not open disk image /home/edouard/Tlchargement/multideskos.iso

If I move the iso in my home it works fine.

Version-Release number of selected component (if applicable):
virt-manager-0.6.0-5.fc10.x86_64
libvirt-0.5.1-2.fc10.x86_64
kvm-74-10.fc10.x86_64

How reproducible:
static

Steps to Reproduce:
1. put the iso in a localized/translated path (with unicode characters?)
2. attach the iso file to your virtual cdrom in virt-manager
3. try to start the vm
  
Actual results:
vm fails to start because qemu/kvm can't find the iso, path is wrong.

Expected results:
vm should start
Comment 1 Daniel Berrange 2009-01-22 08:24:07 EST
Can you provide the /root/.virt-manager/virt-manager.log file, and the contents of /var/log/libvirt/qemu/$VMNAME.log

Some point in the stack must be messing up the character set conversion, causing loss of the accented characters in the path.
Comment 2 Edouard Bourguignon 2009-01-22 08:42:06 EST
Here is the /root/.virt-manager/virt-manager.log fil:

[sam., 10 janv. 2009 13:14:17 virt-manager 18771] ERROR (opticalhelper:39) Unable to connect to HAL to list cdrom volumes: ''NoneType' object has no attribute 'append''
[sam., 10 janv. 2009 13:14:17 virt-manager 18771] ERROR (choosecd:140) Unable to create optical-helper widget: ''NoneType' object has no attribute 'append''
[sam., 10 janv. 2009 13:14:17 virt-manager 18771] ERROR (opticalhelper:39) Unable to connect to HAL to list cdrom volumes: ''NoneType' object has no attribute 'append''
[sam., 10 janv. 2009 13:14:17 virt-manager 18771] ERROR (choosecd:140) Unable to create optical-helper widget: ''NoneType' object has no attribute 'append''
[sam., 10 janv. 2009 13:14:49 virt-manager 18771] DEBUG (error:78) Validation Error: Invalid Media Path
[sam., 10 janv. 2009 13:15:17 virt-manager 18771] DEBUG (VirtualDisk:348) Didn't find path '/home/madko/Téléchargement/7000.0.081212-1400_client_en-us_Ultimate-GB1CULXFRE_EN_DVD.iso' managed on connection: None
[sam., 10 janv. 2009 13:15:17 virt-manager 18771] DEBUG (VirtualDisk:397) Using self.path for VirtualDisk.
[sam., 10 janv. 2009 13:15:17 virt-manager 18771] DEBUG (VirtualDisk:407) VirtualDisk storage exists.
[sam., 10 janv. 2009 13:15:17 virt-manager 18771] DEBUG (VirtualDisk:271) Detected storage as type 'file'
[sam., 10 janv. 2009 13:15:17 virt-manager 18771] DEBUG (domain:840) connect_cdrom_device produced the following XML: <disk type="file" device="cdrom">
      <target dev="hdc" bus="ide"/>
      <readonly/>
    <source file="/home/madko/T&#xE9;l&#xE9;chargement/7000.0.081212-1400_client_en-us_Ultimate-GB1CULXFRE_EN_DVD.iso"/></disk>
[sam., 10 janv. 2009 13:15:17 virt-manager 18771] DEBUG (domain:709) Looking for path hdc
[sam., 10 janv. 2009 13:15:17 virt-manager 18771] DEBUG (domain:814) change cdrom: redefining xml with:
<?xml version="1.0"?>
<domain type="kvm">
  <name>windows7</name>
  <uuid>e3836e4b-746c-80d1-da6f-9dfeab8e10b5</uuid>
  <memory>524288</memory>
  <currentMemory>524288</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch="x86_64" machine="pc">hvm</type>
    <boot dev="hd"/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <clock offset="localtime"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type="file" device="disk">
      <source file="/var/lib/libvirt/images/windows7.img"/>
      <target dev="hda" bus="ide"/>
    </disk>

    <interface type="network">
      <mac address="54:52:00:4d:6c:6e"/>
      <source network="default"/>
    </interface>
    <serial type="pty">
      <target port="0"/>
    </serial>
    <console type="pty">
      <target port="0"/>
    </console>
    <input type="tablet" bus="usb"/>
    <input type="mouse" bus="ps2"/>
    <graphics type="vnc" port="-1" autoport="yes" keymap="en-us"/>
    <sound model="es1370"/>
  <disk type="file" device="cdrom">
      <target dev="hdc" bus="ide"/>
      <readonly/>
    <source file="/home/madko/T&#xE9;l&#xE9;chargement/7000.0.081212-1400_client_en-us_Ultimate-GB1CULXFRE_EN_DVD.iso"/></disk></devices>
</domain>
Comment 3 Pedro Silva 2009-02-18 08:08:57 EST
I also see this behaviour.

Running virt-manager-0.6.0-5.fc10.i386 in a Portuguese localized system.

The iso path is /home/pedro/Área de Trabalho.

Traceback shown by virt-manager:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 532, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 380, in startup
    self.vm.create()
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 285, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error QEMU quit during console startup
qemu: could not open disk image /home/pedro/rea de Trabalho/f10xfcept.iso
Comment 4 Daniel Berrange 2009-08-04 11:01:29 EDT
Created attachment 356186 [details]
Don't strip 8bit high characters
Comment 5 Daniel Berrange 2009-08-05 12:08:15 EDT
Built fix into libvirt-0.6.2-14.fc11
Comment 6 Fedora Update System 2009-08-05 12:13:05 EDT
libvirt-0.6.2-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libvirt-0.6.2-14.fc11
Comment 7 Fedora Update System 2009-08-07 01:00:49 EDT
libvirt-0.6.2-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8333
Comment 8 Pedro Silva 2009-08-07 08:17:10 EDT
Updated to:

libvirt-0.6.2-14.fc11.i586
libvirt-python-0.6.2-14.fc11.i586

I can sucessfully boot a vm using an ISO file stored in a path containing localized characters. 

Thank you!
Comment 9 Fedora Update System 2009-08-15 04:30:09 EDT
libvirt-0.6.2-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.